org.apache.tinkerpop.gremlin.driver.ser

## Class AbstractGraphSONMessageSerializerV2d0.RequestMessageDeserializer

- java.lang.Object
- - org.apache.tinkerpop.shaded.jackson.databind.JsonDeserializer<T>
  - - org.apache.tinkerpop.shaded.jackson.databind.deser.std.StdDeserializer<T>
    - - org.apache.tinkerpop.gremlin.structure.io.graphson.AbstractObjectDeserializer<RequestMessage>
      - - org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0.RequestMessageDeserializer

- All Implemented Interfaces:
    Serializable, org.apache.tinkerpop.shaded.jackson.databind.deser.NullValueProvider
  Enclosing class:
    AbstractGraphSONMessageSerializerV2d0

      public static final class AbstractGraphSONMessageSerializerV2d0.RequestMessageDeserializer
      extends AbstractObjectDeserializer<RequestMessage>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.shaded.jackson.databind.JsonDeserializer

      `org.apache.tinkerpop.shaded.jackson.databind.JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.databind.deser.std.StdDeserializer

      `_valueClass, _valueType, F_MASK_ACCEPT_ARRAYS, F_MASK_INT_COERCIONS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RequestMessageDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestMessage` | `createObject(Map<String,Object> data)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.structure.io.graphson.AbstractObjectDeserializer

      `deserialize, isCachable`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.deser.std.StdDeserializer

      `_byteOverflow, _coercedTypeDesc, _coerceEmptyString, _coerceIntegral, _coerceNullToken, _coerceTextualNull, _deserializeFromArray, _deserializeFromEmpty, _deserializeWrappedValue, _failDoubleToIntCoercion, _findNullProvider, _hasTextualNull, _intOverflow, _isEmptyOrTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _neitherNull, _nonNullNumber, _parseBooleanFromInt, _parseBooleanPrimitive, _parseBooleanPrimitive, _parseBytePrimitive, _parseDate, _parseDate, _parseDateFromArray, _parseDoublePrimitive, _parseDoublePrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseIntPrimitive, _parseIntPrimitive, _parseLongPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _reportFailedNullCoerce, _shortOverflow, _verifyEndArrayForSingle, _verifyNullForPrimitive, _verifyNullForPrimitiveCoercion, _verifyNullForScalarCoercion, _verifyNumberForScalarCoercion, _verifyStringForScalarCoercion, deserializeWithType, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueType, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.JsonDeserializer

      `deserialize, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestMessageDeserializer

          protected RequestMessageDeserializer()

  - ### Method Detail

    - #### createObject

          public RequestMessage createObject(Map<String,Object> data)

      Specified by:
        `createObject` in class `AbstractObjectDeserializer<RequestMessage>`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.